<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>BallotSelectionPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-objects/ballot-selection.po.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Page object for the ballot selection page.</p>

            </p>




            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                    <span class="modifier">Static</span>
                                <a href="#getBallotCard">getBallotCard</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getBallotTitle">getBallotTitle</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getCancelParticipateButton">getCancelParticipateButton</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getModifyButton">getModifyButton</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getParticipateButton">getParticipateButton</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#getSubjectCount">getSubjectCount</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#isFilledMarkerPresent">isFilledMarkerPresent</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#description">description</a>
                                </li>
                                <li>
                                    <a href="#ballotCount">ballotCount</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>



            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getBallotCard"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                                <span class="modifier">Static</span>
                            getBallotCard
                            </b>
                            <a href="#getBallotCard"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getBallotCard(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="107" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:107</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>ElementFinder</code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getBallotTitle"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getBallotTitle
                            </b>
                            <a href="#getBallotTitle"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getBallotTitle(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:53</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Retrieve a ballot&#39;s title</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the index of the ballot</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                            </div>
                                <div class="io-description">
                                    <p>the ballot&#39;s title</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getCancelParticipateButton"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getCancelParticipateButton
                            </b>
                            <a href="#getCancelParticipateButton"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getCancelParticipateButton(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="93" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:93</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Retrieve a ballot&#39;s cancel participation button</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the index of the ballot</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the button to cancel the participation to a given ballot</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getModifyButton"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getModifyButton
                            </b>
                            <a href="#getModifyButton"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getModifyButton(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="103" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:103</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Retrieve a ballot&#39;s modify button</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the index of the ballot</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the button to modify a given ballot</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getParticipateButton"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getParticipateButton
                            </b>
                            <a href="#getParticipateButton"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getParticipateButton(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="83" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:83</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Retrieve a ballot&#39;s participate button</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the index of the ballot</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the button to participate to a given ballot</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getSubjectCount"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            getSubjectCount
                            </b>
                            <a href="#getSubjectCount"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getSubjectCount(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:62</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Return number of subject on a ballot</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFilledMarkerPresent"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            isFilledMarkerPresent
                            </b>
                            <a href="#isFilledMarkerPresent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>isFilledMarkerPresent(ballotIndex: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="73" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:73</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>State a the filled marker is present for a given ballot</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>ballotIndex</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the index of the ballot</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>promise.Promise&lt;boolean&gt;</code>

                            </div>
                                <div class="io-description">
                                    <p>true if the ballot is filled, false otherwise</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>






            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="description"></a>
                        <span class="name"><b>description</b><a href="#description"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>description()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:36</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ballotCount"></a>
                        <span class="name"><b>ballotCount</b><a href="#ballotCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>ballotCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">e2e/page-objects/ballot-selection.po.ts:43</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;number&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Button } from &#x27;../shared/button&#x27;;
import { by, element, ElementFinder } from &#x27;protractor&#x27;;
import { promise } from &#x27;selenium-webdriver&#x27;;

/**
 * Page object for the ballot selection page.
 */
export class BallotSelectionPage {

  /**
   * @return the page&#x27;s description
   */
  static get description(): promise.Promise&lt;string&gt; {
    return element(by.css(&#x27;section[role&#x3D;&quot;document&quot;]&#x27;)).element(by.tagName(&#x27;strong&#x27;)).getText();
  }

  /**
   * @return the number of displayed ballots
   */
  static get ballotCount(): promise.Promise&lt;number&gt; {
    return element.all(by.className(&#x27;ballot-card&#x27;)).count();
  }

  /**
   * Retrieve a ballot&#x27;s title
   *
   * @param ballotIndex the index of the ballot
   * @return the ballot&#x27;s title
   */
  static getBallotTitle(ballotIndex: number): promise.Promise&lt;string&gt; {
    return this.getBallotCard(ballotIndex).element(by.tagName(&#x27;h4&#x27;)).getText();
  }

  /**
   * Return number of subject on a ballot
   * @param {number} ballotIndex
   * @return {promise.Promise&lt;string&gt;}
   */
  static getSubjectCount(ballotIndex: number): promise.Promise&lt;string&gt; {
    return this.getBallotCard(ballotIndex).element(by.className(&#x27;subject-count&#x27;)).getText();
  }


  /**
   * State a the filled marker is present for a given ballot
   *
   * @param ballotIndex the index of the ballot
   * @return true if the ballot is filled, false otherwise
   */
  static isFilledMarkerPresent(ballotIndex: number): promise.Promise&lt;boolean&gt; {
    return this.getBallotCard(ballotIndex).element(by.className(&#x27;ballot-filled-marker&#x27;)).isPresent();
  }

  /**
   * Retrieve a ballot&#x27;s participate button
   *
   * @param ballotIndex the index of the ballot
   * @returns the button to participate to a given ballot
   */
  static getParticipateButton(ballotIndex: number): Button {
    return new Button(this.getBallotCard(ballotIndex).element(by.className(&#x27;participate-button&#x27;)));
  }

  /**
   * Retrieve a ballot&#x27;s cancel participation button
   *
   * @param ballotIndex the index of the ballot
   * @returns the button to cancel the participation to a given ballot
   */
  static getCancelParticipateButton(ballotIndex: number): Button {
    return new Button(this.getBallotCard(ballotIndex).element(by.className(&#x27;cancel-button&#x27;)));
  }

  /**
   * Retrieve a ballot&#x27;s modify button
   *
   * @param ballotIndex the index of the ballot
   * @returns the button to modify a given ballot
   */
  static getModifyButton(ballotIndex: number): Button {
    return new Button(this.getBallotCard(ballotIndex).element(by.className(&#x27;modify-button&#x27;)));
  }

  private static getBallotCard(ballotIndex: number): ElementFinder {
    return element.all(by.className(&#x27;ballot-card&#x27;)).get(ballotIndex);
  }
}

</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'BallotSelectionPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
